## org.hibernate.metamodel.domain
Interface PluralAttribute

All Superinterfaces:
  Attribute

All Known Subinterfaces:
  IndexedPluralAttribute

All Known Implementing Classes:
  AbstractAttributeContainer.IndexedPluralAttributeImpl, AbstractAttributeContainer.PluralAttributeImpl

    public interface PluralAttribute

extends Attribute

TODO : javadoc

Method Summary
`Type` `getElementType()`
`PluralAttributeNature` `getNature()`
`String` `getRole()`
`void` `setElementType(Type elementType)`

Methods inherited from interface org.hibernate.metamodel.domain.Attribute
`getAttributeContainer, getName, isSingular`

Method Detail

### getRole

    String getRole()

### getNature

    PluralAttributeNature getNature()

### getElementType

    Type getElementType()

### setElementType

    void setElementType(Type elementType)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.